%global __provides_exclude_from ^%{python2_sitearch}/.*\\.so$ ^%{python3_sitearch}/.*\\.so$
%global modname gevent
# We have to hack name. We need newer version in RHEL7
# 1.0.x sockets are mess
%global bkrname gevent112
%global optflags %(echo %{optflags} -I%{_includedir}/libev)

Name:          python-%{bkrname}
Version:       1.1.2
Release:       1%{?dist}
Summary:       A coroutine-based Python networking library

License:       MIT
URL:           http://www.gevent.org/
Source0:       https://github.com/gevent/gevent/releases/download/v%{version}/gevent-%{version}.tar.gz

BuildRequires: c-ares-devel
BuildRequires: libev-devel
# Previous version used in EL7BKR

%description
gevent is a coroutine-based Python networking library that uses greenlet to
provide a high-level synchronous API on top of libevent event loop.

Features include:

  * convenient API around greenlets
  * familiar synchronization primitives (gevent.event, gevent.queue)
  * socket module that cooperates
  * WSGI server on top of libevent-http
  * DNS requests done through libevent-dns
  * monkey patching utility to get pure Python modules to cooperate

%package -n python2-%{bkrname}
Summary:       %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires: python-devel
Requires:      python-greenlet
Obsoletes:     python-gevent102 < 1.1.2

%description -n python2-%{bkrname}
gevent is a coroutine-based Python networking library that uses greenlet to
provide a high-level synchronous API on top of libevent event loop.

Features include:

  * convenient API around greenlets
  * familiar synchronization primitives (gevent.event, gevent.queue)
  * socket module that cooperates
  * WSGI server on top of libevent-http
  * DNS requests done through libevent-dns
  * monkey patching utility to get pure Python modules to cooperate

Python 2 version.

%if 0%{?with_python3}
%package -n python3-%{bkrname}
Summary:       %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires: python3-devel
Requires:      python3-greenlet

%description -n python3-%{bkrname}
gevent is a coroutine-based Python networking library that uses greenlet to
provide a high-level synchronous API on top of libevent event loop.

Features include:

  * convenient API around greenlets
  * familiar synchronization primitives (gevent.event, gevent.queue)
  * socket module that cooperates
  * WSGI server on top of libevent-http
  * DNS requests done through libevent-dns
  * monkey patching utility to get pure Python modules to cooperate

Python 3 version.
%endif

%prep
%autosetup -n %{modname}-%{version}
# Remove bundled libraries
rm -rf c-ares libev

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
rm %{buildroot}%{python2_sitearch}/%{modname}/_*3.py*
%if 0%{?with_python3}
%py3_install
rm %{buildroot}%{python3_sitearch}/%{modname}/_*2.py
rm %{buildroot}%{python3_sitearch}/%{modname}/__pycache__/_*2.*
%endif  
find %{buildroot} -name '.buildinfo' -delete
# Correct the permissions.
find %{buildroot} -name '*.so' -exec chmod 755 {} ';'

%files -n python2-%{bkrname}
%license LICENSE
%doc README.rst
%{python2_sitearch}/%{modname}*

%if 0%{?with_python3}
%files -n python3-%{bkrname}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{modname}*
%endif

%changelog
* Tue Mar 3 2020 Martin Styk <mastyk@redhat.com> - 1.1.2-1
- Initial 1.1.2 build
